Package com.ads.api.beans.common

# Class LineageEdge

java.lang.Object
com.ads.api.beans.common.LineageEdge

public class LineageEdge extends Object
This class provides some beans control methods related to source and target of Lineage / Mapping Row.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LineageEdge()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Node`
  `getSource()`
  Returns the Node object contains the source information in Lineage/Mapping Row.
  `Node`
  `getTarget()`
  Returns the Node object contains the target information in Lineage/Mapping Row.
  `Object`
  `getUserData()`
  Any extra data pertaining to lineage can be put into this, like Mapping Sequence Id.
  `void`
  `setSource(Node source)`
  Method sets the source node object.
  `void`
  `setTarget(Node target)`
  Method sets the target node object.
  `void`
  `setUserData(Object userData)`
  Method sets the user data to this object like Mapping Sequence Id etc..

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LineageEdge

    public LineageEdge()

- ## Method Details

  - ### getSource

    public Node getSource()
    Returns the Node object contains the source information in Lineage/Mapping Row.
    Returns:
      source

  - ### getTarget

    public Node getTarget()
    Returns the Node object contains the target information in Lineage/Mapping Row.
    Returns:
      target

  - ### getUserData

    public Object getUserData()
    Any extra data pertaining to lineage can be put into this, like Mapping Sequence Id.
    Returns:
      Object

  - ### setSource

    public void setSource(Node source)
    Method sets the source node object.
    Parameters:
      `source` - Node

  - ### setTarget

    public void setTarget(Node target)
    Method sets the target node object.
    Parameters:
      `target` -

  - ### setUserData

    public void setUserData(Object userData)
    Method sets the user data to this object like Mapping Sequence Id etc..
    Parameters:
      `userData` -